### Enumeration

# Gio AskPasswordFlags

since: 2.0

#### Declaration

    flags Gio.AskPasswordFlags

#### Description

`GAskPasswordFlags` are used to request specific information from the user, or to notify the user of their choices in an authentication situation.

Available since: 2.0

#### Members

`G_ASK_PASSWORD_NEED_PASSWORD`

  Operation requires a password.

  - Value: `1`
  - Nickname: `need-password`
  - Available since: 2.0
`G_ASK_PASSWORD_NEED_USERNAME`

  Operation requires a username.

  - Value: `2`
  - Nickname: `need-username`
  - Available since: 2.0
`G_ASK_PASSWORD_NEED_DOMAIN`

  Operation requires a domain.

  - Value: `4`
  - Nickname: `need-domain`
  - Available since: 2.0
`G_ASK_PASSWORD_SAVING_SUPPORTED`

  Operation supports saving settings.

  - Value: `8`
  - Nickname: `saving-supported`
  - Available since: 2.0
`G_ASK_PASSWORD_ANONYMOUS_SUPPORTED`

  Operation supports anonymous users.

  - Value: `16`
  - Nickname: `anonymous-supported`
  - Available since: 2.0
`G_ASK_PASSWORD_TCRYPT`

  Operation takes TCRYPT parameters (Since: 2.58)

  - Value: `32`
  - Nickname: `tcrypt`
  - Available since: 2.0